#pragma once
#include <map>
struct M_ActivityLuckyFishCFGData
{
	//编号
	int mID;
	//最小倍率
	int mminRate;
	//最大倍率
	int mmaxRate;
	//权重
	int mweight;
};

class M_ActivityLuckyFishCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyFishCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyFishCFGData* GetData(int ID);
	const std::map<int, M_ActivityLuckyFishCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityLuckyFishCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityLuckyFishCFGData> mMapData;
};
